#ifdef __cplusplus
    #include <cstdlib>
#else
    #include <stdlib.h>
#endif
#ifdef __APPLE__
#include <SDL/SDL.h>
#else
#include <SDL.h>
#endif
#include <stdio.h>
#include <stdlib.h>
#include <time.h>
#include <string.h>
#include <SDL/SDL_ttf.h>


char initCards(char cards[52][2]);
char shake(char cards[52][2]);
char distribCard(char cards[52][2], char card[2], int *pointerNb);
int combinaison(char cards[5][2], SDL_Surface *screen, int cash, int misebase);
void affichage_carte(char cards[5][2], int num, SDL_Surface *screen);
int mise(int cash, int *misebase, SDL_Surface *screen, SDL_Event event, int *quit);
char changecarte (char cond[5], SDL_Surface *screen, SDL_Event event, int *quit);
void resetscreen(SDL_Surface *screen, int cash, int misebase);
void perdu(SDL_Surface *screen);
SDL_Surface* initSDL (SDL_Surface *screen, SDL_Surface *font);


int main ( int argc, char** argv )
{
    /* Initialisation de la SDL, screen reprsente l'cran,
    font reprsente l'image que l'on colle sur screen,
    */
    SDL_Surface *screen = NULL, *font = NULL;
    screen = initSDL(screen, font); //Fonction qui initialise la SDL
    SDL_Event event;//Variable qui permet de rcuper un venement en SDL
    int cash = 50, misebase = 0, continuer = 1, quit = 1;

    /*On dmarre avec 50 de cash, 0 en mise de base,
    continuer et quit sont des boolens, on les initialise donc  1 afin qu'ils soient au dbut "vrai" */
    int numCard = 0; // Initialisation du numro de la carte  tirer
    char deck[52][2]; // Initialisation de toutes les cartes du jeu
    char cards[5][2]; //Variable qui stocke les cartes que l'on a en main
    char cond[6] = "nnnnn";
    /*Variable qui dtermine si on doit changer de carte, "nnnnn" veut dire No/No/No/No/No
    on ne change ici aucune carte ds le dpart, si par exemple la carte 2 doit tre chang cette variable
    vaudra "nynnn"  */

    srand(time(NULL)); //Obligatoire pour permettre de mlanger les cartes au "hasard"

    //Cette boucle boucle le jeu, on mise, on pioche, on change, on repioche, on gagne puis boucle tant que cash != 0
    do{
    cond[0] = 'n';
    cond[1] = 'n';
    cond[2] = 'n';
    cond[3] = 'n';
    cond[4] = 'n';
    //On rinitialise le changement de carte  No pour toutes les cartes
    misebase = 0; //Idem pour la mise de base et gagne
    numCard = 0; //Et pour le numro de carte


    initCards(deck);
    /*Fonction qui permet de ranger toutes les cartes dans le tableau de charactre prvu pour a
    cette fonction range les cartes dans l'ordre c'est pourquoi on appelle ensuite la fonction shake qui
    mlange tout le jeu afin d'avoir comme en vrai un jeu mlang*/

    shake(deck);

    distribCard(deck, cards[0], &numCard);
    distribCard(deck, cards[1], &numCard);
    distribCard(deck, cards[2], &numCard);
    distribCard(deck, cards[3], &numCard);
    distribCard(deck, cards[4], &numCard);
    /* Cette fonction attribut la carte numro "numCard" du deck dans la carte de la main slectionne
    on appelle ici la fonction 5 fois, afin d'attribuer les 5 premire cartes du deck dans la main*/


    cash = mise(cash, &misebase, screen, event, &quit);
    if (quit == 0)
    {
        return EXIT_SUCCESS;
    }
    /* Appelle de la fonction qui gre les mises, elle retourne le cash restant, ainsi que la mise de base
    via un pointeur, elle a besoin du cash disponible, de la mise de base pour stocker la valeur,
    de l'cran pour rafraichir l'cran et utiliser un event SDL */

    affichage_carte(cards, 0, screen);
    affichage_carte(cards, 1, screen);
    affichage_carte(cards, 2, screen);
    affichage_carte(cards, 3, screen);
    affichage_carte(cards, 4, screen);
    //Affiche  l'cran la carte en main "cards", numro entr en tant que 2me paramtre, et rafraichit l'cran
    changecarte (cond, screen, event, &quit);
    //Fonction qui gre le changement de carte, et vrifie que le joueur ne veut pas quitter le jeu via "quit"
    if (quit == 0)
    {
    return EXIT_SUCCESS;
    }
    if (cond[0] == 'y')//On vrifie si le joueur veut changer la carte 1, si oui on attribut la carte "numCard" du deck soit ici la 6me carte
        distribCard(deck, cards[0], &numCard);

    if (cond[1] == 'y')//Idem, mais si le joueur  changer la carte une, on attribue la carte 7, si il n'a pas chang on attribue la carte 6
        distribCard(deck, cards[1], &numCard);

    if (cond[2] == 'y')
        distribCard(deck, cards[2], &numCard);

    if (cond[3] == 'y')
        distribCard(deck, cards[3], &numCard);

    if (cond[4] == 'y')
        distribCard(deck, cards[4], &numCard);

    resetscreen(screen, cash, misebase);
    /*Fonction qui permet de rafficher l'cran de dpart avec les gain, et mises
    on s'en sert ici pour enlever les boutons changer, on raffiche ensuite les cartes*/
    affichage_carte(cards, 0, screen);
    affichage_carte(cards, 1, screen);
    affichage_carte(cards, 2, screen);
    affichage_carte(cards, 3, screen);
    affichage_carte(cards, 4, screen);
    //On raffiche les 5 cartes de la main

    cash = combinaison(cards, screen, cash, misebase);
    //Fonction qui gre le test des combinaisons de cartes possible, ainsi que les gain qui vont en consquence

    continuer = 1;
    //Boolen initialis  1 pour que la boucle puisse se faire
    while(continuer)
    {
        //On attends que le joueur clic, si il clic on sort de la boucle, sinon on attends encore
        SDL_WaitEvent(&event);
            switch(event.type)
            {
                case SDL_MOUSEBUTTONUP:   //Dtecte si le joueur clic
                    continuer = 0; //Si c'est le cas boolens = 0 donc la condition n'est plus vrai sortie de la boucle
                    break;
                case SDL_QUIT:
                    return EXIT_SUCCESS;
            }
    }
    resetscreen(screen, cash, misebase);
    //On rinitialise l'cran, afin d'effacer les cartes affiches, pour pouvoir recommencer  la mise
    }while(cash != 0); //Vrifie que le joueur a encore du cash, sinon fin de partie il ne joue plus.
    if (cash == 0) //On vrifie qu'il n'y a pas d'erreur
    {
        perdu(screen);
        return EXIT_SUCCESS;
    }
    return EXIT_FAILURE;
}

char initCards(char cards[52][2]) //Fonction qui distribue les cartes dans l'ordre dans le tableau prvu pour a
{
    int i, j;
    for(i=0; i<=3; i++) // Boucle pour dfinir les numros des cartes
    {
        char nb = '0';
        for(j=0; j<=9; j++)
        {
        cards[i*13+j][1] = nb;
        nb++;
        }
    cards[i*13+10][1] = 'J';
    cards[i*13+11][1] = 'Q';
    cards[i*13+12][1] = 'R';
    }
    for(i=0; i<=12; i++) // Boucle pour dfinir la couleur des cartes
    {
        cards[i][0] = 'C';
        cards[i+13][0] = 'K';
        cards[i+26][0] = 'T';
        cards[i+39][0] = 'P';
    }

    return cards[52][2];
}

char shake(char cards[52][2]) //Fonction qui permet de mlanger les cartes
{
    int i, j;
    char temp[2]; //Stocke une carte de faon temporaire
    for(i=0; i<=51; i++) //Mlange les 52 cartes du jeu
    {
        j = (rand() % 42); //On tire un numro de carte au hasard
        if(i != j) //Evite de faire une opration inutile, par exemple si on arrive  la carte 12, que le chiffre choisi au hasard et 12, on ne fait rien
        {
            temp[0] = cards[i][0];
            //On stocke la carte dans temp
            temp[1] = cards[i][1];

            cards[i][0] = cards[j][0];
            //On remplace la carte qui a t prcedement stocke, par la carte choisie au hasard
            cards[i][1] = cards[j][1];

            cards[j][0] = temp[0];
            //Puis on prends la carte stock dans temp, et on remplace la carte choisie au hasard par celle-ci
            cards[j][1] = temp[1];
        }
    }
    return cards[52][2];
}

char distribCard(char cards[52][2], char card[2], int *pointerNb) //Fonction qui permet
{

    card[0]=cards[*pointerNb][0];
    card[1]=cards[*pointerNb][1];
    //On attribue la carte du deck "cards" numro contenu dans la variable  l'adresse *pointerNb,  la carte de la main.

    *pointerNb += 1; // Utilisation du += car ++ non fonctionnel
    return card[2];
}

int combinaison(char cards[5][2], SDL_Surface *screen, int cash, int misebase)
//Fonction qui permet, de grer les combinaisons et les gains qui vont en consquence
{
    int misegagne = 0; //Variable qui permettra de calculer les gains
    int a, b, c, d, e; //Pour les boucles, des quintes, afin de pouvoir explorer toutes les possibilites
    int multi = -1;  //Intialisation du Multi  -1, 0 tant utilis pour la paire, si le multi vaut -1 alors on sait qu'il n'y a pas de combinaisons
    SDL_Surface *texte; //Intialisation de la variable qui affichera le texte pour les combinaisons
    SDL_Rect pos; //Variable de position, qui sera utilise pour positionner le texte
    SDL_Color couleurBlanche = {255, 255, 255}; //Couleur du texte choisie, ici blanche
    pos.x = 230;
    pos.y = 60;
    //Position  l'cran
    TTF_Init(); //Initialisation de la police d'criture
    TTF_Font *police = TTF_OpenFont("arial.ttf", 25); //Police : Arial, en taille 25


    // Test si Carre
    if((cards[0][1] == cards[1][1] && cards[1][1] == cards[2][1] && cards[2][1] == cards[3][1]) ^ (cards[0][1] == cards[1][1] && cards[1][1] == cards[2][1] && cards[2][1] == cards[4][1]) ^ (cards[0][1] == cards[1][1] && cards[1][1] == cards[3][1] && cards[3][1] == cards[4][1]) ^ (cards[0][1] == cards[2][1] && cards[2][1] == cards[3][1] && cards[3][1] == cards[4][1]) ^ (cards[1][1] == cards[2][1] && cards[2][1] == cards[3][1] && cards[3][1] == cards[4][1]))
    {
        texte = TTF_RenderText_Solid(police, "Bravo, vous avez un Carr !", couleurBlanche);
        SDL_BlitSurface(texte, NULL, screen, &pos);
        SDL_Flip(screen);
        SDL_FreeSurface(texte);
        multi = 8;
    }

    //Test si Full
    else if((cards[0][1] == cards[1][1] && cards[1][1] == cards[2][1] && cards[3][1] == cards[4][1] ) ^ (cards[0][1] == cards[1][1] && cards[1][1] == cards[3][1] && cards[2][1] == cards[4][1] ) ^ (cards[0][1] == cards[1][1] && cards[1][1] == cards[4][1] && cards[2][1] == cards[3][1] ) ^ (cards[0][1] == cards[2][1] && cards[2][1] == cards[3][1] && cards[1][1] == cards[4][1] ) ^ (cards[0][1] == cards[2][1] && cards[2][1] == cards[4][1] && cards[1][1] == cards[3][1] ) ^ (cards[0][1] == cards[3][1] && cards[3][1] == cards[4][1] && cards[1][1] == cards[2][1] ) ^ (cards[1][1] == cards[2][1] && cards[2][1] == cards[3][1] && cards[0][1] == cards[4][1] ) ^ (cards[1][1] == cards[2][1] && cards[2][1] == cards[4][1] && cards[0][1] == cards[3][1] ) ^ (cards[1][1] == cards[3][1] && cards[3][1] == cards[4][1] && cards[0][1] == cards[2][1] ) ^ (cards[2][1] == cards[3][1] && cards[3][1] == cards[4][1] && cards[0][1] == cards[1][1] ))
    {
        texte = TTF_RenderText_Solid(police, "Bravo, vous avez un Full !", couleurBlanche);
        SDL_BlitSurface(texte, NULL, screen, &pos);
        SDL_Flip(screen);
        SDL_FreeSurface(texte);
        multi = 5;

    }

    //Test si Couleur, Quinte Flush et Quinte Flush Royale
    else if((cards[0][0] == cards[1][0]) && (cards[1][0] == cards[2][0]) && (cards[2][0] == cards[3][0]) && (cards[3][0] == cards[4][0]))
    //Test de la couleur
    {

        //Test de la Quinte, pour que ce test est lieu il faut une couleur, il y aura une Quinte Flush
        for(a=0; a <= 4; a++)
            {
                for(b=0; b<=4; b++)
                    {
                        //On vrifie si 2 cartes se suivent, avec carte a < carte b
                        if(cards[a][1] == (cards[b][1]+1))
                        {
                            for(c=0; c <= 4; c++)
                            {
                                //On vrifie si 3 cartes se suivent avec carte a < carte b < carte c
                                if(cards[b][1] == (cards[c][1] + 1))
                                {
                                    for(d=0; d <= 4; d++)
                                    {
                                        //On vrifie si 4 cartes se suivent avec carte a < carte b < carte c < carte d
                                        if(cards[c][1] == (cards[d][1] + 1))
                                        {
                                            for(e=0; e <= 4; e++)
                                            {
                                                //Puis on vrifie si les 5 cartes se suivent avec carte a < carte b < carte c < carte d < carte e
                                                if(cards[d][1] == (cards[e][1] + 1))
                                                {

                                                    multi = 10;
                                                    texte = TTF_RenderText_Solid(police, "Bravo vous avez une Quinte Flush !", couleurBlanche);
                                                    SDL_BlitSurface(texte, NULL, screen, &pos);
                                                    SDL_Flip(screen);
                                                    SDL_FreeSurface(texte);

                                                }
                                            }
                                        }
                                    }
                                }
                            }
                        }
                    }
                }


        //Test de la Quinte Flush Royale
        for(a=0; a <= 4; a++)
        {
            if(cards[a][1] == '9')
            {
                for(b=0; b<=4; b++)
                {
                    if(cards[b][1] == 'J')
                    {
                        for(c=0; c <= 4; c++)
                        {
                            if(cards[c][1] == 'Q')
                            {
                                for(d=0; d <= 4; d++)
                                {
                                    if(cards[d][1] == 'R')
                                    {
                                        for(e=0; e <= 4; e++)
                                        {
                                            if(cards[e][1] == '0')
                                            {

                                                texte = TTF_RenderText_Solid(police, "Bravo, vous avez une Quinte Flush Royale !", couleurBlanche);
                                                SDL_BlitSurface(texte, NULL, screen, &pos);
                                                SDL_Flip(screen);
                                                SDL_FreeSurface(texte);
                                                multi = 20;

                                            }
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
            }

        }

        if (multi != 10 && multi != 20)
        //On vrifie qu'il n'y a pas de Quinte Flush ( multi == 10) ou de Quinte Flush Royale ( Multi == 20)
        {
            texte = TTF_RenderText_Solid(police, "Bravo, vous avez une Couleur !", couleurBlanche);
            SDL_BlitSurface(texte, NULL, screen, &pos);
            SDL_Flip(screen);
            SDL_FreeSurface(texte);
            multi = 4;
        }


    }
    // Test si Brelan
    else if((cards[0][1] == cards[1][1] && cards[1][1] == cards[2][1] ) ^ (cards[0][1] == cards[1][1] && cards[1][1] == cards[3][1] ) ^ (cards[0][1] == cards[1][1] && cards[1][1] == cards[4][1] ) ^ (cards[0][1] == cards[2][1] && cards[2][1] == cards[3][1] ) ^ (cards[0][1] == cards[2][1] && cards[2][1] == cards[4][1] ) ^ (cards[0][1] == cards[3][1] && cards[3][1] == cards[4][1] ) ^ (cards[1][1] == cards[2][1] && cards[2][1] == cards[3][1] ) ^ (cards[1][1] == cards[2][1] && cards[2][1] == cards[4][1] ) ^ (cards[1][1] == cards[3][1] && cards[3][1] == cards[4][1] ) ^ (cards[2][1] == cards[3][1] && cards[3][1] == cards[4][1] ))
    {
        texte = TTF_RenderText_Solid(police, "Bravo, vous avez un Brelan !", couleurBlanche);
        SDL_BlitSurface(texte, NULL, screen, &pos);
        SDL_Flip(screen);
        SDL_FreeSurface(texte);
        multi = 2;
    }
    // Test si Paire
    else if(cards[0][1] == cards[1][1] ^ cards[0][1] == cards[2][1] ^ cards[0][1] == cards[3][1] ^ cards[0][1] == cards[4][1] ^ cards[1][1] == cards[2][1] ^ cards[1][1] == cards[3][1] ^ cards[1][1] == cards[4][1] ^ cards[2][1] == cards[3][1] ^ cards[2][1] == cards[4][1] ^ cards[3][1] == cards[4][1])
    {
        texte = TTF_RenderText_Solid(police, "Bravo, vous avez une Paire !", couleurBlanche);
        SDL_BlitSurface(texte, NULL, screen, &pos);
        SDL_Flip(screen);
        SDL_FreeSurface(texte);
        multi = 0;
    }

    // Test si Double Paire
    else if((cards[0][1] == cards[1][1] && cards[2][1] == cards[3][1]) ^ (cards[0][1] == cards[1][1] && cards[2][1] == cards[4][1]) ^ (cards[0][1] == cards[1][1] && cards[3][1] == cards[4][1]) ^ (cards[0][1] == cards[2][1] && cards[1][1] == cards[3][1]) ^ (cards[0][1] == cards[2][1] && cards[1][1] == cards[4][1]) ^ (cards[0][1] == cards[2][1] && cards[3][1] == cards[4][1]) ^ (cards[0][1] == cards[3][1] && cards[1][1] == cards[2][1]) ^ (cards[0][1] == cards[3][1] && cards[1][1] == cards[4][1]) ^ (cards[0][1] == cards[3][1] && cards[2][1] == cards[4][1]) ^ (cards[0][1] == cards[4][1] && cards[1][1] == cards[2][1]) ^ (cards[0][1] == cards[4][1] && cards[1][1] == cards[3][1]) ^ (cards[0][1] == cards[4][1] && cards[2][1] == cards[3][1]) ^ (cards[1][1] == cards[2][1] && cards[3][1] == cards[4][1]) ^ (cards[1][1] == cards[3][1] && cards[2][1] == cards[4][1]) ^ (cards[1][1] == cards[4][1] && cards[2][1] == cards[3][1]))
    {
        texte = TTF_RenderText_Solid(police, "Bravo, vous avez une Double Paire !", couleurBlanche);
        SDL_BlitSurface(texte, NULL, screen, &pos);
        SDL_Flip(screen);
        SDL_FreeSurface(texte);
        multi = 1;
    }







    //Test si Quinte
    //Mme test que pour la quinte flush, mais ici le test se fait sans avoir besoin de la couleur, donc Quinte si le test russi
    if(multi != 10 && multi != 20)
    {
    for(a=0; a <= 4; a++)
            {
                for(b=0; b<=4; b++)
                    {
                        if(cards[a][1] == (cards[b][1]+1))
                        {
                            for(c=0; c <= 4; c++)
                            {
                                if(cards[b][1] == (cards[c][1] + 1))
                                {
                                    for(d=0; d <= 4; d++)
                                    {
                                        if(cards[c][1] == (cards[d][1] + 1))
                                        {
                                            for(e=0; e <= 4; e++)
                                            {
                                                if(cards[d][1] == (cards[e][1] + 1))
                                                {

                                                    texte = TTF_RenderText_Solid(police, "Bravo, vous avez une Quinte !", couleurBlanche);
                                                    SDL_BlitSurface(texte, NULL, screen, &pos);
                                                    SDL_Flip(screen);
                                                    SDL_FreeSurface(texte);
                                                    multi = 3;

                                                }
                                            }
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
    for(a=0; a <= 4; a++)
            {
                if(cards[a][1] == '9')
                {
                    for(b=0; b<=4; b++)
                    {
                        if(cards[b][1] == 'J')
                        {
                            for(c=0; c <= 4; c++)
                            {
                                if(cards[c][1] == 'Q')
                                {
                                    for(d=0; d <= 4; d++)
                                    {
                                        if(cards[d][1] == 'R')
                                        {
                                            for(e=0; e <= 4; e++)
                                            {
                                                if(cards[e][1] == '0')
                                                {

                                                    texte = TTF_RenderText_Solid(police, "Bravo, vous avez une Quinte !", couleurBlanche);
                                                    SDL_BlitSurface(texte, NULL, screen, &pos);
                                                    SDL_Flip(screen);
                                                    SDL_FreeSurface(texte);
                                                    multi = 3;

                                                }
                                            }
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
            }

            for(a=0; a <= 4; a++)
            {
                if(cards[a][1] == '8')
                {
                    for(b=0; b<=4; b++)
                    {
                        if(cards[b][1] == '9')
                        {
                            for(c=0; c <= 4; c++)
                            {
                                if(cards[c][1] == 'J')
                                {
                                    for(d=0; d <= 4; d++)
                                    {
                                        if(cards[d][1] == 'Q')
                                        {
                                            for(e=0; e <= 4; e++)
                                            {
                                                if(cards[e][1] == 'R')
                                                {

                                                    texte = TTF_RenderText_Solid(police, "Bravo, vous avez une Quinte !", couleurBlanche);
                                                    SDL_BlitSurface(texte, NULL, screen, &pos);
                                                    SDL_Flip(screen);
                                                    SDL_FreeSurface(texte);
                                                    multi = 3;

                                                }
                                            }
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
            }

            for(a=0; a <= 4; a++)
            {
                if(cards[a][1] == '7')
                {
                    for(b=0; b<=4; b++)
                    {
                        if(cards[b][1] == '8')
                        {
                            for(c=0; c <= 4; c++)
                            {
                                if(cards[c][1] == '9')
                                {
                                    for(d=0; d <= 4; d++)
                                    {
                                        if(cards[d][1] == 'J')
                                        {
                                            for(e=0; e <= 4; e++)
                                            {
                                                if(cards[e][1] == 'Q')
                                                {

                                                    texte = TTF_RenderText_Solid(police, "Bravo, vous avez une Quinte !", couleurBlanche);
                                                    SDL_BlitSurface(texte, NULL, screen, &pos);
                                                    SDL_Flip(screen);
                                                    SDL_FreeSurface(texte);
                                                    multi = 3;

                                                }
                                            }
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
            }

            for(a=0; a <= 4; a++)
            {
                if(cards[a][1] == '6')
                {
                    for(b=0; b<=4; b++)
                    {
                        if(cards[b][1] == '7')
                        {
                            for(c=0; c <= 4; c++)
                            {
                                if(cards[c][1] == '8')
                                {
                                    for(d=0; d <= 4; d++)
                                    {
                                        if(cards[d][1] == '9')
                                        {
                                            for(e=0; e <= 4; e++)
                                            {
                                                if(cards[e][1] == 'J')
                                                {

                                                    texte = TTF_RenderText_Solid(police, "Bravo, vous avez une Quinte !", couleurBlanche);
                                                    SDL_BlitSurface(texte, NULL, screen, &pos);
                                                    SDL_Flip(screen);
                                                    SDL_FreeSurface(texte);
                                                    multi = 3;

                                                }
                                            }
                                        }
                                    }
                                }
                            }
                        }
                    }
                }
            }
    }

    //On vrifie si il y a une combinaison donc si multi != -1
    if (multi != -1)
    {
        misegagne = multi * misebase;
        cash += misebase;
        cash += misegagne;
    }
    else
    {
        pos.x = 230;
        pos.y = 60;
        texte = TTF_RenderText_Solid(police, "Vous avez perdu", couleurBlanche);
        SDL_BlitSurface(texte, NULL, screen, &pos);
        SDL_Flip(screen);
        SDL_FreeSurface(texte);
    }
    char misetab[20];
    sprintf(misetab, "%d", misegagne);
    texte = TTF_RenderText_Solid(police, misetab, couleurBlanche);
    pos.x = 920;
    pos.y = 105;
    SDL_BlitSurface(texte, NULL, screen, &pos);
    SDL_Flip(screen);
    //Permet d'afficher la mise gagn  l'cran

    SDL_FreeSurface(texte);
    TTF_CloseFont(police);
    TTF_Quit();
    return cash;
}

void affichage_carte(char cards[52][2], int num, SDL_Surface *screen)
{
    SDL_Rect carte;
    SDL_Surface *image;
    char nom_carte[20] = "./Ressources/XX.bmp";
    nom_carte[13] = cards[num][1];
    nom_carte[14] = cards[num][0];
    //Modifie nom_carte, "./Ressources/XX.bmp" remplace XX par le numro et couleur de la carte
    image = SDL_LoadBMP(nom_carte);
    //On charge l'image  la position carte.x, carte.y
    carte.x = (40 + 10 * num + 125 * num);
    carte.y = (600 - 183)/2 - 25;
    SDL_SetColorKey(image, SDL_SRCCOLORKEY, SDL_MapRGB(screen->format, 0, 254, 0));//Couleur de transparence
    SDL_BlitSurface(image, NULL, screen, &carte);//On colle l'image
    SDL_Flip(screen);//On actualise
    SDL_FreeSurface(image);//On libre l'espace
}

int mise(int cash, int *misebase, SDL_Surface *screen, SDL_Event event, int *quit)
{
    int continuer = 1, continuer2 = 1; //Boolens pour les boucle plus loin
    int num = 0; //Numro, pour les positions de jetons
    SDL_Surface *font = NULL, *texte;
    SDL_Rect pos;
    char cashtab[20], misetab[20]; //Permettra de stocker le cash dans un tableau, et la mise dans un tableau
    SDL_Color couleurBlanche = {255, 255, 255};
    pos.x = 0;
    pos.y = 0;
    TTF_Init();
    TTF_Font *police = TTF_OpenFont("arial.ttf", 25);
    SDL_Surface *rectangle_mise = NULL;


    while(continuer)
    {
        //Affiche l'cran de dpart vierge
        pos.x = 0;
        pos.y = 0;
        font = SDL_LoadBMP("Ressources/font3.bmp");
        SDL_SetColorKey(font, SDL_SRCCOLORKEY, SDL_MapRGB(font->format, 0, 254, 0));
        SDL_BlitSurface(font, NULL, screen, &pos);
        SDL_Flip(screen);
        SDL_FreeSurface(font);

        //Affiche cash et mise effectue
        sprintf(cashtab, "%d", cash);
        texte = TTF_RenderText_Solid(police, cashtab, couleurBlanche);
        pos.x = 920;
        pos.y = 170;
        SDL_BlitSurface(texte, NULL, screen, &pos);
        SDL_Flip(screen);
        SDL_FreeSurface(texte);
        sprintf(misetab, "%d", *misebase);
        texte = TTF_RenderText_Solid(police, misetab, couleurBlanche);
        pos.x = 920;
        pos.y = 45;
        SDL_BlitSurface(texte, NULL, screen, &pos);
        SDL_Flip(screen);
        SDL_FreeSurface(texte);

            if(cash == 0)
            //Si le cash atteint 0, on quitte la double boucle
            {

                continuer = 0;
                continuer2 = 0;
            }

            else if(cash < 5)
            //Si le cash est infrieur  5 on affiche le jeton 1.
            {
                SDL_Rect jeton;
                SDL_Surface *image;
                image = SDL_LoadBMP("./Ressources/jeton1.bmp");
                jeton.x = (40 + 10 * num + 75 * num);
                jeton.y = (600 - 77)/2 - 25;
                SDL_SetColorKey(image, SDL_SRCCOLORKEY, SDL_MapRGB(screen->format, 0, 254, 0));
                SDL_BlitSurface(image, NULL, screen, &jeton);
                SDL_Flip(screen);
                SDL_FreeSurface(image);

                while(continuer2)
                {
                    SDL_WaitEvent(&event);
                    switch(event.type)
                    {
                    //On attends que le joueur clique
                        case SDL_MOUSEBUTTONUP:
                            //Si il clique sur le jeton 1
                            if(event.button.x >= 40 && event.button.x <= 113 && event.button.y >= 236 && event.button.y <= 311)
                            {
                                cash -= 1;
                                *misebase += 1;
                                if(cash == 0)
                                continuer2=0;
                            }

                            //Si il clique sur le bouton Cartes
                            else if (event.button.x > 503 && event.button.x < 652 && event.button.y > 501 && event.button.y < 550)
                            {
                                continuer = 0;
                                continuer2 = 0;
                            }

                            //Si il clique, on actualise la mise, et le cash

                            //On efface le cash et la mise en collant un rectangle de la mme couleur que le font sur le texte
                            rectangle_mise = SDL_CreateRGBSurface(SDL_HWSURFACE, 190, 64, 32, 0, 0, 0, 0);
                            SDL_FillRect(rectangle_mise, NULL, SDL_MapRGB(screen->format, 42, 116, 1));
                            pos.x = 818;
                            pos.y = 26;
                            SDL_BlitSurface(rectangle_mise, NULL, screen, &pos);
                            SDL_Flip(screen);
                            SDL_FreeSurface(rectangle_mise);
                            rectangle_mise = SDL_CreateRGBSurface(SDL_HWSURFACE, 183, 62, 32, 0, 0, 0, 0);
                            SDL_FillRect(rectangle_mise, NULL, SDL_MapRGB(screen->format, 42, 116, 1));
                            pos.x = 825;
                            pos.y = 154;
                            SDL_BlitSurface(rectangle_mise, NULL, screen, &pos);
                            SDL_Flip(screen);
                            SDL_FreeSurface(rectangle_mise);

                            //On affiche le cash et la mise
                            sprintf(cashtab, "%d", cash);
                            texte = TTF_RenderText_Solid(police, cashtab, couleurBlanche);
                            pos.x = 920;
                            pos.y = 170;
                            SDL_BlitSurface(texte, NULL, screen, &pos);
                            SDL_Flip(screen);
                            SDL_FreeSurface(texte);
                            sprintf(misetab, "%d", *misebase);
                            texte = TTF_RenderText_Solid(police, misetab, couleurBlanche);
                            pos.x = 920;
                            pos.y = 45;
                            SDL_BlitSurface(texte, NULL, screen, &pos);
                            SDL_Flip(screen);
                            SDL_FreeSurface(texte);

                            break;

                            case SDL_QUIT:
                            *quit = 0;
                            continuer = 0;
                            continuer2 = 0;
                            break;

                    }

                }
                continuer2 = 1;
            }

            else if(cash >= 5 && cash < 10)
            //Si le cash est compris en 5 et 10 on affiche les jetons 1 et 5
             {
                int num = 0;
                SDL_Rect jeton;
                SDL_Surface *image;
                image = SDL_LoadBMP("./Ressources/jeton1.bmp");
                jeton.x = (40 + 10 * num + 75 * num);
                jeton.y = (600 - 77)/2 - 25;
                SDL_SetColorKey(image, SDL_SRCCOLORKEY, SDL_MapRGB(screen->format, 0, 254, 0));
                SDL_BlitSurface(image, NULL, screen, &jeton);
                SDL_Flip(screen);
                SDL_FreeSurface(image);
                num ++;

                image = SDL_LoadBMP("./Ressources/jeton5.bmp");
                jeton.x = (40 + 10 * num + 75 * num);
                jeton.y = (600 - 77)/2 - 25;
                SDL_SetColorKey(image, SDL_SRCCOLORKEY, SDL_MapRGB(screen->format, 0, 254, 0));
                SDL_BlitSurface(image, NULL, screen, &jeton);
                SDL_Flip(screen);
                SDL_FreeSurface(image);


                while(continuer2)
                {
                    SDL_WaitEvent(&event);
                    switch(event.type)
                    {
                        case SDL_MOUSEBUTTONUP:
                            if(event.button.x >= 40 && event.button.x <= 113 && event.button.y >= 236 && event.button.y <= 311)
                            {
                                cash -= 1;
                                *misebase += 1;
                                if(cash < 5)
                                continuer2=0;
                            }

                            else if(event.button.x >= 125 && event.button.x <= 198 && event.button.y >= 236 && event.button.y <= 311)
                            {
                                cash -= 5;
                                *misebase += 5;
                                if(cash < 5)
                                continuer2=0;
                            }



                            else if (event.button.x > 503 && event.button.x < 652 && event.button.y > 501 && event.button.y < 550)
                            {
                                continuer = 0;
                                continuer2 = 0;
                            }

                            rectangle_mise = SDL_CreateRGBSurface(SDL_HWSURFACE, 190, 64, 32, 0, 0, 0, 0);
                            SDL_FillRect(rectangle_mise, NULL, SDL_MapRGB(screen->format, 42, 116, 1));
                            pos.x = 818;
                            pos.y = 26;
                            SDL_BlitSurface(rectangle_mise, NULL, screen, &pos);
                            SDL_Flip(screen);
                            SDL_FreeSurface(rectangle_mise);
                            rectangle_mise = SDL_CreateRGBSurface(SDL_HWSURFACE, 183, 62, 32, 0, 0, 0, 0);
                            SDL_FillRect(rectangle_mise, NULL, SDL_MapRGB(screen->format, 42, 116, 1));
                            pos.x = 825;
                            pos.y = 154;
                            SDL_BlitSurface(rectangle_mise, NULL, screen, &pos);
                            SDL_Flip(screen);
                            SDL_FreeSurface(rectangle_mise);
                            sprintf(cashtab, "%d", cash);
                            texte = TTF_RenderText_Solid(police, cashtab, couleurBlanche);
                            pos.x = 920;
                            pos.y = 170;
                            SDL_BlitSurface(texte, NULL, screen, &pos);
                            SDL_Flip(screen);
                            SDL_FreeSurface(texte);
                            sprintf(misetab, "%d", *misebase);
                            texte = TTF_RenderText_Solid(police, misetab, couleurBlanche);
                            pos.x = 920;
                            pos.y = 45;
                            SDL_BlitSurface(texte, NULL, screen, &pos);
                            SDL_Flip(screen);
                            SDL_FreeSurface(texte);

                            break;

                            case SDL_QUIT:
                            *quit = 0;
                            continuer = 0;
                            continuer2 = 0;
                            break;

                    }
                }
                continuer2 = 1;
            }

            else if(cash >= 10 && cash < 20)
            //Si le score est compris entre 10 et 20 on affiche les jetons 1, 5, et 10
             {
                int num = 0;
                SDL_Rect jeton;
                SDL_Surface *image;
                image = SDL_LoadBMP("./Ressources/jeton1.bmp");
                jeton.x = (40 + 10 * num + 75 * num);
                jeton.y = (600 - 77)/2 - 25;
                SDL_SetColorKey(image, SDL_SRCCOLORKEY, SDL_MapRGB(screen->format, 0, 254, 0));
                SDL_BlitSurface(image, NULL, screen, &jeton);
                SDL_Flip(screen);
                SDL_FreeSurface(image);
                num ++;

                image = SDL_LoadBMP("./Ressources/jeton5.bmp");
                jeton.x = (40 + 10 * num + 75 * num);
                jeton.y = (600 - 77)/2 - 25;
                SDL_SetColorKey(image, SDL_SRCCOLORKEY, SDL_MapRGB(screen->format, 0, 254, 0));
                SDL_BlitSurface(image, NULL, screen, &jeton);
                SDL_Flip(screen);
                SDL_FreeSurface(image);
                num ++;

                image = SDL_LoadBMP("./Ressources/jeton10.bmp");
                jeton.x = (40 + 10 * num + 75 * num);
                jeton.y = (600 - 77)/2 - 25;
                SDL_SetColorKey(image, SDL_SRCCOLORKEY, SDL_MapRGB(screen->format, 0, 254, 0));
                SDL_BlitSurface(image, NULL, screen, &jeton);
                SDL_Flip(screen);
                SDL_FreeSurface(image);

                while(continuer2)
                {
                    SDL_WaitEvent(&event);
                    switch(event.type)
                    {
                        case SDL_MOUSEBUTTONUP:
                            if(event.button.x >= 40 && event.button.x <= 113 && event.button.y >= 236 && event.button.y <= 311)
                            {
                                cash -= 1;
                                *misebase += 1;
                                if(cash < 10)
                                continuer2=0;
                            }

                            else if(event.button.x >= 125 && event.button.x <= 198 && event.button.y >= 236 && event.button.y <= 311)
                            {
                                cash -= 5;
                                *misebase += 5;
                                if(cash < 10)
                                continuer2=0;
                            }

                            else if(event.button.x >= 210 && event.button.x <= 283 && event.button.y >= 236 && event.button.y <= 311)
                            {
                                cash -= 10;
                                *misebase += 10;
                                if(cash < 10)
                                continuer2=0;
                            }


                            else if (event.button.x > 503 && event.button.x < 652 && event.button.y > 501 && event.button.y < 550)
                            {
                                continuer = 0;
                                continuer2 = 0;
                            }

                            rectangle_mise = SDL_CreateRGBSurface(SDL_HWSURFACE, 190, 64, 32, 0, 0, 0, 0);
                            SDL_FillRect(rectangle_mise, NULL, SDL_MapRGB(screen->format, 42, 116, 1));
                            pos.x = 818;
                            pos.y = 26;
                            SDL_BlitSurface(rectangle_mise, NULL, screen, &pos);
                            SDL_Flip(screen);
                            SDL_FreeSurface(rectangle_mise);
                            rectangle_mise = SDL_CreateRGBSurface(SDL_HWSURFACE, 183, 62, 32, 0, 0, 0, 0);
                            SDL_FillRect(rectangle_mise, NULL, SDL_MapRGB(screen->format, 42, 116, 1));
                            pos.x = 825;
                            pos.y = 154;
                            SDL_BlitSurface(rectangle_mise, NULL, screen, &pos);
                            SDL_Flip(screen);
                            SDL_FreeSurface(rectangle_mise);
                            sprintf(cashtab, "%d", cash);
                            texte = TTF_RenderText_Solid(police, cashtab, couleurBlanche);
                            pos.x = 920;
                            pos.y = 170;
                            SDL_BlitSurface(texte, NULL, screen, &pos);
                            SDL_Flip(screen);
                            SDL_FreeSurface(texte);
                            sprintf(misetab, "%d", *misebase);
                            texte = TTF_RenderText_Solid(police, misetab, couleurBlanche);
                            pos.x = 920;
                            pos.y = 45;
                            SDL_BlitSurface(texte, NULL, screen, &pos);
                            SDL_Flip(screen);
                            SDL_FreeSurface(texte);

                            break;

                            case SDL_QUIT:
                            *quit = 0;
                            continuer = 0;
                            continuer2 = 0;
                            break;
                    }
                }
                continuer2 = 1;

            }

            else if(cash >= 20 && cash < 100)
            //Si le score est compris entre 20 et 100 on affiche les jetons 1, 5, 10 et 20
             {
                int num = 0;
                SDL_Rect jeton;
                SDL_Surface *image;
                image = SDL_LoadBMP("./Ressources/jeton1.bmp");
                jeton.x = (40 + 10 * num + 75 * num);
                jeton.y = (600 - 77)/2 - 25;
                SDL_SetColorKey(image, SDL_SRCCOLORKEY, SDL_MapRGB(screen->format, 0, 254, 0));
                SDL_BlitSurface(image, NULL, screen, &jeton);
                SDL_Flip(screen);
                SDL_FreeSurface(image);
                num ++;

                image = SDL_LoadBMP("./Ressources/jeton5.bmp");
                jeton.x = (40 + 10 * num + 75 * num);
                jeton.y = (600 - 77)/2 - 25;
                SDL_SetColorKey(image, SDL_SRCCOLORKEY, SDL_MapRGB(screen->format, 0, 254, 0));
                SDL_BlitSurface(image, NULL, screen, &jeton);
                SDL_Flip(screen);
                SDL_FreeSurface(image);
                num ++;

                image = SDL_LoadBMP("./Ressources/jeton10.bmp");
                jeton.x = (40 + 10 * num + 75 * num);
                jeton.y = (600 - 77)/2 - 25;
                SDL_SetColorKey(image, SDL_SRCCOLORKEY, SDL_MapRGB(screen->format, 0, 254, 0));
                SDL_BlitSurface(image, NULL, screen, &jeton);
                SDL_Flip(screen);
                SDL_FreeSurface(image);
                num ++;

                image = SDL_LoadBMP("./Ressources/jeton20.bmp");
                jeton.x = (40 + 10 * num + 75 * num);
                jeton.y = (600 - 77)/2 - 25;
                SDL_SetColorKey(image, SDL_SRCCOLORKEY, SDL_MapRGB(screen->format, 0, 254, 0));
                SDL_BlitSurface(image, NULL, screen, &jeton);
                SDL_Flip(screen);
                SDL_FreeSurface(image);

                while(continuer2)
                {

                    SDL_WaitEvent(&event);

                    switch(event.type)
                    {
                        case SDL_MOUSEBUTTONUP:

                            if(event.button.x >= 40 && event.button.x <= 113 && event.button.y >= 236 && event.button.y <= 311)
                            {
                                cash -= 1;
                                *misebase += 1;
                                if(cash < 20)
                                continuer2=0;

                            }

                            else if(event.button.x >= 125 && event.button.x <= 198 && event.button.y >= 236 && event.button.y <= 311)
                            {
                                cash -= 5;
                                *misebase += 5;
                                if(cash < 20)
                                continuer2=0;

                            }

                            else if(event.button.x >= 210 && event.button.x <= 283 && event.button.y >= 236 && event.button.y <= 311)
                            {
                                cash -= 10;
                                *misebase += 10;
                                if(cash < 20)
                                continuer2=0;

                            }

                            else if(event.button.x >= 295 && event.button.x <= 368 && event.button.y >= 236 && event.button.y <= 311)
                            {
                                cash -= 20;
                                *misebase += 20;
                                if(cash < 20)
                                continuer2=0;

                            }



                            else if (event.button.x > 503 && event.button.x < 652 && event.button.y > 501 && event.button.y < 550)
                            {
                                continuer = 0;
                                continuer2 = 0;
                            }

                            rectangle_mise = SDL_CreateRGBSurface(SDL_HWSURFACE, 190, 64, 32, 0, 0, 0, 0);
                            SDL_FillRect(rectangle_mise, NULL, SDL_MapRGB(screen->format, 42, 116, 1));
                            pos.x = 818;
                            pos.y = 26;
                            SDL_BlitSurface(rectangle_mise, NULL, screen, &pos);
                            SDL_Flip(screen);
                            SDL_FreeSurface(rectangle_mise);
                            rectangle_mise = SDL_CreateRGBSurface(SDL_HWSURFACE, 183, 62, 32, 0, 0, 0, 0);
                            SDL_FillRect(rectangle_mise, NULL, SDL_MapRGB(screen->format, 42, 116, 1));
                            pos.x = 825;
                            pos.y = 154;
                            SDL_BlitSurface(rectangle_mise, NULL, screen, &pos);
                            SDL_Flip(screen);
                            SDL_FreeSurface(rectangle_mise);
                            sprintf(cashtab, "%d", cash);
                            texte = TTF_RenderText_Solid(police, cashtab, couleurBlanche);
                            pos.x = 920;
                            pos.y = 170;
                            SDL_BlitSurface(texte, NULL, screen, &pos);
                            SDL_Flip(screen);
                            SDL_FreeSurface(texte);
                            sprintf(misetab, "%d", *misebase);
                            texte = TTF_RenderText_Solid(police, misetab, couleurBlanche);
                            pos.x = 920;
                            pos.y = 45;
                            SDL_BlitSurface(texte, NULL, screen, &pos);
                            SDL_Flip(screen);
                            SDL_FreeSurface(texte);

                            break;

                            case SDL_QUIT:
                            *quit = 0;
                            continuer = 0;
                            continuer2 = 0;
                            break;
                    }
                }
                 continuer2 = 1;
           }

            else if(cash >= 100 && cash < 500)
            //Si le score est compris entre 100 et 500 on affiche les jetons 1, 5, 10, 20 et 100
             {
                int num = 0;
                SDL_Rect jeton;
                SDL_Surface *image;
                image = SDL_LoadBMP("./Ressources/jeton1.bmp");
                jeton.x = (40 + 10 * num + 75 * num);
                jeton.y = (600 - 77)/2 - 25;
                SDL_SetColorKey(image, SDL_SRCCOLORKEY, SDL_MapRGB(screen->format, 0, 254, 0));
                SDL_BlitSurface(image, NULL, screen, &jeton);
                SDL_Flip(screen);
                SDL_FreeSurface(image);
                num ++;

                image = SDL_LoadBMP("./Ressources/jeton5.bmp");
                jeton.x = (40 + 10 * num + 75 * num);
                jeton.y = (600 - 77)/2 - 25;
                SDL_SetColorKey(image, SDL_SRCCOLORKEY, SDL_MapRGB(screen->format, 0, 254, 0));
                SDL_BlitSurface(image, NULL, screen, &jeton);
                SDL_Flip(screen);
                SDL_FreeSurface(image);
                num ++;

                image = SDL_LoadBMP("./Ressources/jeton10.bmp");
                jeton.x = (40 + 10 * num + 75 * num);
                jeton.y = (600 - 77)/2 - 25;
                SDL_SetColorKey(image, SDL_SRCCOLORKEY, SDL_MapRGB(screen->format, 0, 254, 0));
                SDL_BlitSurface(image, NULL, screen, &jeton);
                SDL_Flip(screen);
                SDL_FreeSurface(image);
                num ++;

                image = SDL_LoadBMP("./Ressources/jeton20.bmp");
                jeton.x = (40 + 10 * num + 75 * num);
                jeton.y = (600 - 77)/2 - 25;
                SDL_SetColorKey(image, SDL_SRCCOLORKEY, SDL_MapRGB(screen->format, 0, 254, 0));
                SDL_BlitSurface(image, NULL, screen, &jeton);
                SDL_Flip(screen);
                SDL_FreeSurface(image);
                num ++;

                image = SDL_LoadBMP("./Ressources/jeton100.bmp");
                jeton.x = (40 + 10 * num + 75 * num);
                jeton.y = (600 - 77)/2 - 25;
                SDL_SetColorKey(image, SDL_SRCCOLORKEY, SDL_MapRGB(screen->format, 0, 254, 0));
                SDL_BlitSurface(image, NULL, screen, &jeton);
                SDL_Flip(screen);
                SDL_FreeSurface(image);

                while(continuer2)
                {
                    SDL_WaitEvent(&event);
                    switch(event.type)
                    {
                        case SDL_MOUSEBUTTONUP:
                            if(event.button.x >= 40 && event.button.x <= 113 && event.button.y >= 236 && event.button.y <= 311)
                            {
                                cash -= 1;
                                *misebase += 1;
                                if(cash < 100)
                                continuer2=0;
                            }

                            else if(event.button.x >= 125 && event.button.x <= 198 && event.button.y >= 236 && event.button.y <= 311)
                            {
                                cash -= 5;
                                *misebase += 5;
                                if(cash < 100)
                                continuer2=0;
                            }

                            else if(event.button.x >= 210 && event.button.x <= 283 && event.button.y >= 236 && event.button.y <= 311)
                            {
                                cash -= 10;
                                *misebase += 10;
                                 if(cash < 100)
                                continuer2=0;
                           }

                            else if(event.button.x >= 295 && event.button.x <= 368 && event.button.y >= 236 && event.button.y <= 311)
                            {
                                cash -= 20;
                                *misebase += 20;
                                if(cash < 100)
                                continuer2=0;
                            }

                            else if(event.button.x >= 380 && event.button.x <= 453 && event.button.y >= 236 && event.button.y <= 311)
                            {
                                cash -= 100;
                                *misebase += 100;
                                if(cash < 100)
                                continuer2=0;
                            }



                            if (event.button.x > 503 && event.button.x < 652 && event.button.y > 501 && event.button.y < 550)
                            {
                                continuer = 0;
                                continuer2 = 0;
                            }

                            rectangle_mise = SDL_CreateRGBSurface(SDL_HWSURFACE, 190, 64, 32, 0, 0, 0, 0);
                            SDL_FillRect(rectangle_mise, NULL, SDL_MapRGB(screen->format, 42, 116, 1));
                            pos.x = 818;
                            pos.y = 26;
                            SDL_BlitSurface(rectangle_mise, NULL, screen, &pos);
                            SDL_Flip(screen);
                            SDL_FreeSurface(rectangle_mise);
                            rectangle_mise = SDL_CreateRGBSurface(SDL_HWSURFACE, 183, 62, 32, 0, 0, 0, 0);
                            SDL_FillRect(rectangle_mise, NULL, SDL_MapRGB(screen->format, 42, 116, 1));
                            pos.x = 825;
                            pos.y = 154;
                            SDL_BlitSurface(rectangle_mise, NULL, screen, &pos);
                            SDL_Flip(screen);
                            SDL_FreeSurface(rectangle_mise);
                            sprintf(cashtab, "%d", cash);
                            texte = TTF_RenderText_Solid(police, cashtab, couleurBlanche);
                            pos.x = 920;
                            pos.y = 170;
                            SDL_BlitSurface(texte, NULL, screen, &pos);
                            SDL_Flip(screen);
                            SDL_FreeSurface(texte);
                            sprintf(misetab, "%d", *misebase);
                            texte = TTF_RenderText_Solid(police, misetab, couleurBlanche);
                            pos.x = 920;
                            pos.y = 45;
                            SDL_BlitSurface(texte, NULL, screen, &pos);
                            SDL_Flip(screen);
                            SDL_FreeSurface(texte);

                            break;

                            case SDL_QUIT:
                            *quit = 0;
                            continuer = 0;
                            continuer2 = 0;
                            break;
                    }
                }
                continuer2 = 1;
            }

             else if(cash >= 500 && cash < 1000)
            //Si le score est compris entre 500 et 1000 on affiche les jetons 1, 5, 10, 20, 100, et 500
            {
                int num = 0;
                SDL_Rect jeton;
                SDL_Surface *image;
                image = SDL_LoadBMP("./Ressources/jeton1.bmp");
                jeton.x = (40 + 10 * num + 75 * num);
                jeton.y = (600 - 77)/2 - 25;
                SDL_SetColorKey(image, SDL_SRCCOLORKEY, SDL_MapRGB(screen->format, 0, 254, 0));
                SDL_BlitSurface(image, NULL, screen, &jeton);
                SDL_Flip(screen);
                SDL_FreeSurface(image);
                num ++;

                image = SDL_LoadBMP("./Ressources/jeton5.bmp");
                jeton.x = (40 + 10 * num + 75 * num);
                jeton.y = (600 - 77)/2 - 25;
                SDL_SetColorKey(image, SDL_SRCCOLORKEY, SDL_MapRGB(screen->format, 0, 254, 0));
                SDL_BlitSurface(image, NULL, screen, &jeton);
                SDL_Flip(screen);
                SDL_FreeSurface(image);
                num ++;

                image = SDL_LoadBMP("./Ressources/jeton10.bmp");
                jeton.x = (40 + 10 * num + 75 * num);
                jeton.y = (600 - 77)/2 - 25;
                SDL_SetColorKey(image, SDL_SRCCOLORKEY, SDL_MapRGB(screen->format, 0, 254, 0));
                SDL_BlitSurface(image, NULL, screen, &jeton);
                SDL_Flip(screen);
                SDL_FreeSurface(image);
                num ++;

                image = SDL_LoadBMP("./Ressources/jeton20.bmp");
                jeton.x = (40 + 10 * num + 75 * num);
                jeton.y = (600 - 77)/2 - 25;
                SDL_SetColorKey(image, SDL_SRCCOLORKEY, SDL_MapRGB(screen->format, 0, 254, 0));
                SDL_BlitSurface(image, NULL, screen, &jeton);
                SDL_Flip(screen);
                SDL_FreeSurface(image);
                num ++;

                image = SDL_LoadBMP("./Ressources/jeton100.bmp");
                jeton.x = (40 + 10 * num + 75 * num);
                jeton.y = (600 - 77)/2 - 25;
                SDL_SetColorKey(image, SDL_SRCCOLORKEY, SDL_MapRGB(screen->format, 0, 254, 0));
                SDL_BlitSurface(image, NULL, screen, &jeton);
                SDL_Flip(screen);
                SDL_FreeSurface(image);
                num ++;

                image = SDL_LoadBMP("./Ressources/jeton500.bmp");
                jeton.x = (40 + 10 * num + 75 * num);
                jeton.y = (600 - 77)/2 - 25;
                SDL_SetColorKey(image, SDL_SRCCOLORKEY, SDL_MapRGB(screen->format, 0, 254, 0));
                SDL_BlitSurface(image, NULL, screen, &jeton);
                SDL_Flip(screen);
                SDL_FreeSurface(image);

                while(continuer2)
                {
                    SDL_WaitEvent(&event);
                    switch(event.type)
                    {
                        case SDL_MOUSEBUTTONUP:
                            if(event.button.x >= 40 && event.button.x <= 113 && event.button.y >= 236 && event.button.y <= 311)
                            {
                                cash -= 1;
                                *misebase += 1;
                                if(cash < 500)
                                continuer2=0;
                           }

                            else if(event.button.x >= 125 && event.button.x <= 198 && event.button.y >= 236 && event.button.y <= 311)
                            {
                                cash -= 5;
                                *misebase += 5;
                                 if(cash < 500)
                                continuer2=0;
                           }

                            else if(event.button.x >= 210 && event.button.x <= 283 && event.button.y >= 236 && event.button.y <= 311)
                            {
                                cash -= 10;
                                *misebase += 10;
                                 if(cash < 500)
                                continuer2=0;
                           }

                            else if(event.button.x >= 295 && event.button.x <= 368 && event.button.y >= 236 && event.button.y <= 311)
                            {
                                cash -= 20;
                                *misebase += 20;
                                if(cash < 500)
                                continuer2=0;
                            }

                            else if(event.button.x >= 380 && event.button.x <= 453 && event.button.y >= 236 && event.button.y <= 311)
                            {
                                cash -= 100;
                                *misebase += 100;
                                if(cash < 500)
                                continuer2=0;
                            }

                            else if(event.button.x >= 465 && event.button.x <= 538 && event.button.y >= 236 && event.button.y <= 311)
                            {
                                cash -= 500;
                                *misebase += 500;
                                if(cash < 500)
                                continuer2=0;
                            }


                            if (event.button.x > 503 && event.button.x < 652 && event.button.y > 501 && event.button.y < 550)
                            {
                                continuer = 0;
                                continuer2 = 0;
                            }

                            rectangle_mise = SDL_CreateRGBSurface(SDL_HWSURFACE, 190, 64, 32, 0, 0, 0, 0);
                            SDL_FillRect(rectangle_mise, NULL, SDL_MapRGB(screen->format, 42, 116, 1));
                            pos.x = 818;
                            pos.y = 26;
                            SDL_BlitSurface(rectangle_mise, NULL, screen, &pos);
                            SDL_Flip(screen);
                            SDL_FreeSurface(rectangle_mise);
                            rectangle_mise = SDL_CreateRGBSurface(SDL_HWSURFACE, 183, 62, 32, 0, 0, 0, 0);
                            SDL_FillRect(rectangle_mise, NULL, SDL_MapRGB(screen->format, 42, 116, 1));
                            pos.x = 825;
                            pos.y = 154;
                            SDL_BlitSurface(rectangle_mise, NULL, screen, &pos);
                            SDL_Flip(screen);
                            SDL_FreeSurface(rectangle_mise);
                            sprintf(cashtab, "%d", cash);
                            texte = TTF_RenderText_Solid(police, cashtab, couleurBlanche);
                            pos.x = 920;
                            pos.y = 170;
                            SDL_BlitSurface(texte, NULL, screen, &pos);
                            SDL_Flip(screen);
                            SDL_FreeSurface(texte);
                            sprintf(misetab, "%d", *misebase);
                            texte = TTF_RenderText_Solid(police, misetab, couleurBlanche);
                            pos.x = 920;
                            pos.y = 45;
                            SDL_BlitSurface(texte, NULL, screen, &pos);
                            SDL_Flip(screen);
                            SDL_FreeSurface(texte);

                            break;

                            case SDL_QUIT:
                            *quit = 0;
                            continuer = 0;
                            continuer2 = 0;
                            break;
                    }
                }
                 continuer2 = 1;
           }

           else if(cash >= 1000 && cash < 5000)
            //Si le score est compris entre 1000 et 5000 on affiche les jetons 1, 5, 10, 20, 100, 500 et 1000
            {
                int num = 0;
                SDL_Rect jeton;
                SDL_Surface *image;
                image = SDL_LoadBMP("./Ressources/jeton1.bmp");
                jeton.x = (40 + 10 * num + 75 * num);
                jeton.y = (600 - 77)/2 - 25;
                SDL_SetColorKey(image, SDL_SRCCOLORKEY, SDL_MapRGB(screen->format, 0, 254, 0));
                SDL_BlitSurface(image, NULL, screen, &jeton);
                SDL_Flip(screen);
                SDL_FreeSurface(image);
                num ++;

                image = SDL_LoadBMP("./Ressources/jeton5.bmp");
                jeton.x = (40 + 10 * num + 75 * num);
                jeton.y = (600 - 77)/2 - 25;
                SDL_SetColorKey(image, SDL_SRCCOLORKEY, SDL_MapRGB(screen->format, 0, 254, 0));
                SDL_BlitSurface(image, NULL, screen, &jeton);
                SDL_Flip(screen);
                SDL_FreeSurface(image);
                num ++;

                image = SDL_LoadBMP("./Ressources/jeton10.bmp");
                jeton.x = (40 + 10 * num + 75 * num);
                jeton.y = (600 - 77)/2 - 25;
                SDL_SetColorKey(image, SDL_SRCCOLORKEY, SDL_MapRGB(screen->format, 0, 254, 0));
                SDL_BlitSurface(image, NULL, screen, &jeton);
                SDL_Flip(screen);
                SDL_FreeSurface(image);
                num ++;

                image = SDL_LoadBMP("./Ressources/jeton20.bmp");
                jeton.x = (40 + 10 * num + 75 * num);
                jeton.y = (600 - 77)/2 - 25;
                SDL_SetColorKey(image, SDL_SRCCOLORKEY, SDL_MapRGB(screen->format, 0, 254, 0));
                SDL_BlitSurface(image, NULL, screen, &jeton);
                SDL_Flip(screen);
                SDL_FreeSurface(image);
                num ++;

                image = SDL_LoadBMP("./Ressources/jeton100.bmp");
                jeton.x = (40 + 10 * num + 75 * num);
                jeton.y = (600 - 77)/2 - 25;
                SDL_SetColorKey(image, SDL_SRCCOLORKEY, SDL_MapRGB(screen->format, 0, 254, 0));
                SDL_BlitSurface(image, NULL, screen, &jeton);
                SDL_Flip(screen);
                SDL_FreeSurface(image);
                num ++;

                image = SDL_LoadBMP("./Ressources/jeton500.bmp");
                jeton.x = (40 + 10 * num + 75 * num);
                jeton.y = (600 - 77)/2 - 25;
                SDL_SetColorKey(image, SDL_SRCCOLORKEY, SDL_MapRGB(screen->format, 0, 254, 0));
                SDL_BlitSurface(image, NULL, screen, &jeton);
                SDL_Flip(screen);
                SDL_FreeSurface(image);
                num++;

                image = SDL_LoadBMP("./Ressources/jeton1000.bmp");
                jeton.x = (40 + 10 * num + 75 * num);
                jeton.y = (600 - 77)/2 - 25;
                SDL_SetColorKey(image, SDL_SRCCOLORKEY, SDL_MapRGB(screen->format, 0, 254, 0));
                SDL_BlitSurface(image, NULL, screen, &jeton);
                SDL_Flip(screen);
                SDL_FreeSurface(image);

                while(continuer2)
                {
                    SDL_WaitEvent(&event);
                    switch(event.type)
                    {
                        case SDL_MOUSEBUTTONUP:
                            if(event.button.x >= 40 && event.button.x <= 113 && event.button.y >= 236 && event.button.y <= 311)
                            {
                                cash -= 1;
                                *misebase += 1;
                                if(cash < 1000)
                                continuer2=0;
                           }

                            else if(event.button.x >= 125 && event.button.x <= 198 && event.button.y >= 236 && event.button.y <= 311)
                            {
                                cash -= 5;
                                *misebase += 5;
                                 if(cash < 1000)
                                continuer2=0;
                           }

                            else if(event.button.x >= 210 && event.button.x <= 283 && event.button.y >= 236 && event.button.y <= 311)
                            {
                                cash -= 10;
                                *misebase += 10;
                                 if(cash < 1000)
                                continuer2=0;
                           }

                            else if(event.button.x >= 295 && event.button.x <= 368 && event.button.y >= 236 && event.button.y <= 311)
                            {
                                cash -= 20;
                                *misebase += 20;
                                if(cash < 1000)
                                continuer2=0;
                            }

                            else if(event.button.x >= 380 && event.button.x <= 453 && event.button.y >= 236 && event.button.y <= 311)
                            {
                                cash -= 100;
                                *misebase += 100;
                                if(cash < 1000)
                                continuer2=0;
                            }

                            else if(event.button.x >= 465 && event.button.x <= 538 && event.button.y >= 236 && event.button.y <= 311)
                            {
                                cash -= 500;
                                *misebase += 500;
                                if(cash < 1000)
                                continuer2=0;
                            }

                            else if(event.button.x >= 550 && event.button.x <= 623 && event.button.y >= 236 && event.button.y <= 311)
                            {
                                cash -= 1000;
                                *misebase += 1000;
                                if(cash < 1000)
                                continuer2=0;
                            }


                            if (event.button.x > 503 && event.button.x < 652 && event.button.y > 501 && event.button.y < 550)
                            {
                                continuer = 0;
                                continuer2 = 0;
                            }

                            rectangle_mise = SDL_CreateRGBSurface(SDL_HWSURFACE, 190, 64, 32, 0, 0, 0, 0);
                            SDL_FillRect(rectangle_mise, NULL, SDL_MapRGB(screen->format, 42, 116, 1));
                            pos.x = 818;
                            pos.y = 26;
                            SDL_BlitSurface(rectangle_mise, NULL, screen, &pos);
                            SDL_Flip(screen);
                            SDL_FreeSurface(rectangle_mise);
                            rectangle_mise = SDL_CreateRGBSurface(SDL_HWSURFACE, 183, 62, 32, 0, 0, 0, 0);
                            SDL_FillRect(rectangle_mise, NULL, SDL_MapRGB(screen->format, 42, 116, 1));
                            pos.x = 825;
                            pos.y = 154;
                            SDL_BlitSurface(rectangle_mise, NULL, screen, &pos);
                            SDL_Flip(screen);
                            SDL_FreeSurface(rectangle_mise);
                            sprintf(cashtab, "%d", cash);
                            texte = TTF_RenderText_Solid(police, cashtab, couleurBlanche);
                            pos.x = 920;
                            pos.y = 170;
                            SDL_BlitSurface(texte, NULL, screen, &pos);
                            SDL_Flip(screen);
                            SDL_FreeSurface(texte);
                            sprintf(misetab, "%d", *misebase);
                            texte = TTF_RenderText_Solid(police, misetab, couleurBlanche);
                            pos.x = 920;
                            pos.y = 45;
                            SDL_BlitSurface(texte, NULL, screen, &pos);
                            SDL_Flip(screen);
                            SDL_FreeSurface(texte);

                            break;

                            case SDL_QUIT:
                            *quit = 0;
                            continuer = 0;
                            continuer2 = 0;
                            break;
                    }
                }
                 continuer2 = 1;
           }

           else if(cash >= 5000)
           //Si le score est suprieur  5000 on affiche les jetons 1, 5, 10, 20, 100, 500, 1000 et 5000
             {
                int num = 0;
                SDL_Rect jeton;
                SDL_Surface *image;
                image = SDL_LoadBMP("./Ressources/jeton1.bmp");
                jeton.x = (40 + 10 * num + 75 * num);
                jeton.y = (600 - 77)/2 - 25;
                SDL_SetColorKey(image, SDL_SRCCOLORKEY, SDL_MapRGB(screen->format, 0, 254, 0));
                SDL_BlitSurface(image, NULL, screen, &jeton);
                SDL_Flip(screen);
                SDL_FreeSurface(image);
                num ++;

                image = SDL_LoadBMP("./Ressources/jeton5.bmp");
                jeton.x = (40 + 10 * num + 75 * num);
                jeton.y = (600 - 77)/2 - 25;
                SDL_SetColorKey(image, SDL_SRCCOLORKEY, SDL_MapRGB(screen->format, 0, 254, 0));
                SDL_BlitSurface(image, NULL, screen, &jeton);
                SDL_Flip(screen);
                SDL_FreeSurface(image);
                num ++;

                image = SDL_LoadBMP("./Ressources/jeton10.bmp");
                jeton.x = (40 + 10 * num + 75 * num);
                jeton.y = (600 - 77)/2 - 25;
                SDL_SetColorKey(image, SDL_SRCCOLORKEY, SDL_MapRGB(screen->format, 0, 254, 0));
                SDL_BlitSurface(image, NULL, screen, &jeton);
                SDL_Flip(screen);
                SDL_FreeSurface(image);
                num ++;

                image = SDL_LoadBMP("./Ressources/jeton20.bmp");
                jeton.x = (40 + 10 * num + 75 * num);
                jeton.y = (600 - 77)/2 - 25;
                SDL_SetColorKey(image, SDL_SRCCOLORKEY, SDL_MapRGB(screen->format, 0, 254, 0));
                SDL_BlitSurface(image, NULL, screen, &jeton);
                SDL_Flip(screen);
                SDL_FreeSurface(image);
                num ++;

                image = SDL_LoadBMP("./Ressources/jeton100.bmp");
                jeton.x = (40 + 10 * num + 75 * num);
                jeton.y = (600 - 77)/2 - 25;
                SDL_SetColorKey(image, SDL_SRCCOLORKEY, SDL_MapRGB(screen->format, 0, 254, 0));
                SDL_BlitSurface(image, NULL, screen, &jeton);
                SDL_Flip(screen);
                SDL_FreeSurface(image);
                num ++;

                image = SDL_LoadBMP("./Ressources/jeton500.bmp");
                jeton.x = (40 + 10 * num + 75 * num);
                jeton.y = (600 - 77)/2 - 25;
                SDL_SetColorKey(image, SDL_SRCCOLORKEY, SDL_MapRGB(screen->format, 0, 254, 0));
                SDL_BlitSurface(image, NULL, screen, &jeton);
                SDL_Flip(screen);
                SDL_FreeSurface(image);
                num ++;

                image = SDL_LoadBMP("./Ressources/jeton1000.bmp");
                jeton.x = (40 + 10 * num + 75 * num);
                jeton.y = (600 - 77)/2 - 25;
                SDL_SetColorKey(image, SDL_SRCCOLORKEY, SDL_MapRGB(screen->format, 0, 254, 0));
                SDL_BlitSurface(image, NULL, screen, &jeton);
                SDL_Flip(screen);
                SDL_FreeSurface(image);
                num++;

                image = SDL_LoadBMP("./Ressources/jeton5000.bmp");
                jeton.x = (40 + 10 * num + 75 * num);
                jeton.y = (600 - 77)/2 - 25;
                SDL_SetColorKey(image, SDL_SRCCOLORKEY, SDL_MapRGB(screen->format, 0, 254, 0));
                SDL_BlitSurface(image, NULL, screen, &jeton);
                SDL_Flip(screen);
                SDL_FreeSurface(image);

                while(continuer2)
                {
                    SDL_WaitEvent(&event);
                    switch(event.type)
                    {
                        case SDL_MOUSEBUTTONUP:
                            if(event.button.x >= 40 && event.button.x <= 113 && event.button.y >= 236 && event.button.y <= 311)
                            {
                                cash -= 1;
                                *misebase += 1;
                                if(cash < 5000)
                                continuer2=0;
                           }

                            else if(event.button.x >= 125 && event.button.x <= 198 && event.button.y >= 236 && event.button.y <= 311)
                            {
                                cash -= 5;
                                *misebase += 5;
                                 if(cash < 5000)
                                continuer2=0;
                           }

                            else if(event.button.x >= 210 && event.button.x <= 283 && event.button.y >= 236 && event.button.y <= 311)
                            {
                                cash -= 10;
                                *misebase += 10;
                                if(cash < 5000)
                                continuer2=0;
                           }

                            else if(event.button.x >= 295 && event.button.x <= 368 && event.button.y >= 236 && event.button.y <= 311)
                            {
                                cash -= 20;
                                *misebase += 20;
                                if(cash < 5000)
                                continuer2=0;
                            }

                            else if(event.button.x >= 380 && event.button.x <= 453 && event.button.y >= 236 && event.button.y <= 311)
                            {
                                cash -= 100;
                                *misebase += 100;
                                if(cash < 5000)
                                continuer2=0;
                            }

                            else if(event.button.x >= 465 && event.button.x <= 538 && event.button.y >= 236 && event.button.y <= 311)
                            {
                                cash -= 500;
                                *misebase += 500;
                                if(cash < 5000)
                                continuer2=0;
                            }

                            else if(event.button.x >= 550 && event.button.x <= 623 && event.button.y >= 236 && event.button.y <= 311)
                            {
                                cash -= 1000;
                                *misebase += 1000;
                                if(cash < 5000)
                                continuer2=0;
                            }

                            else if(event.button.x >= 635 && event.button.x <= 708 && event.button.y >= 236 && event.button.y <= 311)
                            {
                                cash -= 5000;
                                *misebase += 5000;
                                if(cash < 5000)
                                continuer2=0;
                            }


                            if (event.button.x > 503 && event.button.x < 652 && event.button.y > 501 && event.button.y < 550)
                            {
                                continuer = 0;
                                continuer2 = 0;
                            }

                            rectangle_mise = SDL_CreateRGBSurface(SDL_HWSURFACE, 190, 64, 32, 0, 0, 0, 0);
                            SDL_FillRect(rectangle_mise, NULL, SDL_MapRGB(screen->format, 42, 116, 1));
                            pos.x = 818;
                            pos.y = 26;
                            SDL_BlitSurface(rectangle_mise, NULL, screen, &pos);
                            SDL_Flip(screen);
                            SDL_FreeSurface(rectangle_mise);
                            rectangle_mise = SDL_CreateRGBSurface(SDL_HWSURFACE, 183, 62, 32, 0, 0, 0, 0);
                            SDL_FillRect(rectangle_mise, NULL, SDL_MapRGB(screen->format, 42, 116, 1));
                            pos.x = 825;
                            pos.y = 154;
                            SDL_BlitSurface(rectangle_mise, NULL, screen, &pos);
                            SDL_Flip(screen);
                            SDL_FreeSurface(rectangle_mise);
                            sprintf(cashtab, "%d", cash);
                            texte = TTF_RenderText_Solid(police, cashtab, couleurBlanche);
                            pos.x = 920;
                            pos.y = 170;
                            SDL_BlitSurface(texte, NULL, screen, &pos);
                            SDL_Flip(screen);
                            SDL_FreeSurface(texte);
                            sprintf(misetab, "%d", *misebase);
                            texte = TTF_RenderText_Solid(police, misetab, couleurBlanche);
                            pos.x = 920;
                            pos.y = 45;
                            SDL_BlitSurface(texte, NULL, screen, &pos);
                            SDL_Flip(screen);
                            SDL_FreeSurface(texte);

                            break;

                            case SDL_QUIT:
                            *quit = 0;
                            continuer = 0;
                            continuer2 = 0;
                            break;
                    }
                }
                 continuer2 = 1;
           }



    }
    pos.x = 0;
    pos.y = 0;
    font = SDL_LoadBMP("Ressources/font3.bmp");
    SDL_SetColorKey(font, SDL_SRCCOLORKEY, SDL_MapRGB(font->format, 0, 254, 0));
    SDL_BlitSurface(font, NULL, screen, &pos);
    SDL_Flip(screen);
    SDL_FreeSurface(font);
    sprintf(cashtab, "%d", cash);
    texte = TTF_RenderText_Solid(police, cashtab, couleurBlanche);
    pos.x = 920;
    pos.y = 170;
    SDL_BlitSurface(texte, NULL, screen, &pos);
    SDL_Flip(screen);
    SDL_FreeSurface(texte);
    sprintf(misetab, "%d", *misebase);
    texte = TTF_RenderText_Solid(police, misetab, couleurBlanche);
    pos.x = 920;
    pos.y = 45;
    SDL_BlitSurface(texte, NULL, screen, &pos);
    SDL_Flip(screen);
    SDL_FreeSurface(texte);
    TTF_CloseFont(police);
    TTF_Quit();
    return cash;

}

char changecarte (char cond[5], SDL_Surface *screen, SDL_Event event, int *quit)
{
    //Fonction qui charge les boutons changer, et gre les changements
    SDL_Surface *change = NULL;
    SDL_Rect pos;
    int num = 0, continuer = 1;
    while(num <= 4)
    //Charge les 4 boutons changer
    //Les boutons font 125px de large, on laisse 10px entre chaque
    {
        pos.x = 40 + 10 * num + 125 * num;
        pos.y = (600 - 183)/2 - 25 + 200;
        change = SDL_LoadBMP("./Ressources/changer2.bmp");
        SDL_BlitSurface(change, NULL, screen, &pos);
        SDL_Flip(screen);
        SDL_FreeSurface(change);
        num ++;
    }
        while(continuer)
        {
            SDL_WaitEvent(&event);
            switch(event.type)
            {
                case SDL_MOUSEBUTTONUP:
                    //Si le joueur clic sur le bouton 1, et qu'on ne changeait pas la carte, alors on la change
                    if(((event.button.x >= 40 && event.button.x <= 159 && event.button.y >= 383 && event.button.y <= 422) || (event.button.x >= 40 && event.button.x <= 164 && event.button.y >= 184 && event.button.y <= 366)) && cond[0] == 'n')
                    {
                        pos.x = 40;
                        pos.y = 383;
                        change = SDL_LoadBMP("./Ressources/changer.bmp");
                        SDL_BlitSurface(change, NULL, screen, &pos);
                        SDL_Flip(screen);
                        SDL_FreeSurface(change);
                        cond[0] = 'y';
                    }
                    //Si le joueur clic sur le bouton 1, et qu'on changeait la carte, alors on ne la change plus
                    else if(((event.button.x >= 40 && event.button.x <= 159 && event.button.y >= 383 && event.button.y <= 422) || (event.button.x >= 40 && event.button.x <= 164 && event.button.y >= 184 && event.button.y <= 366)) && cond[0] == 'y')
                    {
                        pos.x = 40;
                        pos.y = 383;
                        change = SDL_LoadBMP("./Ressources/changer2.bmp");
                        SDL_BlitSurface(change, NULL, screen, &pos);
                        SDL_Flip(screen);
                        SDL_FreeSurface(change);
                        cond[0] = 'n';
                    }



                    //Si le joueur clic sur le bouton 2, et qu'on ne changeait pas la carte, alors on la change
                    else if(((event.button.x >= 175 && event.button.x <= 294 && event.button.y >= 383 && event.button.y <= 422) || (event.button.x >= 175 && event.button.x <= 299 && event.button.y >= 184 && event.button.y <= 366)) && cond[1] == 'n')
                    {
                        pos.x = 175;
                        pos.y = 383;
                        change = SDL_LoadBMP("./Ressources/changer.bmp");
                        SDL_BlitSurface(change, NULL, screen, &pos);
                        SDL_Flip(screen);
                        SDL_FreeSurface(change);
                        cond[1] = 'y';
                    }
                    //Si le joueur clic sur le bouton 2, et qu'on changeait la carte, alors on ne la change plus
                    else if(((event.button.x >= 175 && event.button.x <= 294 && event.button.y >= 383 && event.button.y <= 422) || (event.button.x >= 175 && event.button.x <= 299 && event.button.y >= 184 && event.button.y <= 366)) && cond[1] == 'y')
                    {
                        pos.x = 175;
                        pos.y = 383;
                        change = SDL_LoadBMP("./Ressources/changer2.bmp");
                        SDL_BlitSurface(change, NULL, screen, &pos);
                        SDL_Flip(screen);
                        SDL_FreeSurface(change);
                        cond[1] = 'n';
                    }



                    //Si le joueur clic sur le bouton 3, et qu'on ne changeait pas la carte, alors on la change
                    else if(((event.button.x >= 310 && event.button.x <= 428 && event.button.y >= 383 && event.button.y <= 422) || (event.button.x >= 310 && event.button.x <= 434 && event.button.y >= 184 && event.button.y <= 366)) && cond[2] == 'n')
                    {
                        pos.x = 310;
                        pos.y = 383;
                        change = SDL_LoadBMP("./Ressources/changer.bmp");
                        SDL_BlitSurface(change, NULL, screen, &pos);
                        SDL_Flip(screen);
                        SDL_FreeSurface(change);
                        cond[2] = 'y';
                    }
                    //Si le joueur clic sur le bouton 3, et qu'on changeait la carte, alors on ne la change plus
                    else if(((event.button.x >= 310 && event.button.x <= 428 && event.button.y >= 383 && event.button.y <= 422) || (event.button.x >= 310 && event.button.x <= 434 && event.button.y >= 184 && event.button.y <= 366)) && cond[2] == 'y')
                    {
                        pos.x = 310;
                        pos.y = 383;
                        change = SDL_LoadBMP("./Ressources/changer2.bmp");
                        SDL_BlitSurface(change, NULL, screen, &pos);
                        SDL_Flip(screen);
                        SDL_FreeSurface(change);
                        cond[2] = 'n';
                    }


                    //Si le joueur clic sur le bouton 4, et qu'on ne changeait pas la carte, alors on la change
                    else if(((event.button.x >= 445 && event.button.x <= 564 && event.button.y >= 383 && event.button.y <= 422) || (event.button.x >= 445 && event.button.x <= 569 && event.button.y >= 184 && event.button.y <= 366)) && cond[3] == 'n')
                    {
                        pos.x = 445;
                        pos.y = 383;
                        change = SDL_LoadBMP("./Ressources/changer.bmp");
                        SDL_BlitSurface(change, NULL, screen, &pos);
                        SDL_Flip(screen);
                        SDL_FreeSurface(change);
                        cond[3] = 'y';
                    }
                    //Si le joueur clic sur le bouton 4, et qu'on changeait la carte, alors on ne la change plus
                    else if(((event.button.x >= 445 && event.button.x <= 564 && event.button.y >= 383 && event.button.y <= 422) || (event.button.x >= 445 && event.button.x <= 569 && event.button.y >= 184 && event.button.y <= 366)) && cond[3] == 'y')
                    {
                        pos.x = 445;
                        pos.y = 383;
                        change = SDL_LoadBMP("./Ressources/changer2.bmp");
                        SDL_BlitSurface(change, NULL, screen, &pos);
                        SDL_Flip(screen);
                        SDL_FreeSurface(change);
                        cond[3] = 'n';
                    }



                    //Si le joueur clic sur le bouton 5, et qu'on ne changeait pas la carte, alors on la change
                    else if(((event.button.x >= 580 && event.button.x <= 699 && event.button.y >= 383 && event.button.y <= 422) || (event.button.x >= 580 && event.button.x <= 704 && event.button.y >= 184 && event.button.y <= 366)) && cond[4] == 'n')
                    {
                        pos.x = 580;
                        pos.y = 383;
                        change = SDL_LoadBMP("./Ressources/changer.bmp");
                        SDL_BlitSurface(change, NULL, screen, &pos);
                        SDL_Flip(screen);
                        SDL_FreeSurface(change);
                        cond[4] = 'y';
                    }
                    //Si le joueur clic sur le bouton 5, et qu'on changeait la carte, alors on ne la change plus
                    else if(((event.button.x >= 580 && event.button.x <= 699 && event.button.y >= 383 && event.button.y <= 422) || (event.button.x >= 580 && event.button.x <= 704 && event.button.y >= 184 && event.button.y <= 366)) && cond[4] == 'y')
                    {
                        pos.x = 580;
                        pos.y = 383;
                        change = SDL_LoadBMP("./Ressources/changer2.bmp");
                        SDL_BlitSurface(change, NULL, screen, &pos);
                        SDL_Flip(screen);
                        SDL_FreeSurface(change);
                        cond[4] = 'n';
                    }


                    //Si le joueur clic sur le boutton "Carte" alors on sort de la boucle
                    else if (event.button.x > 503 && event.button.x < 652 && event.button.y > 502 && event.button.y < 551)
                    {
                        continuer = 0;
                    }
                    break;

                    //Si le joueur clic sur la croix pour fermer la fentre alors on quitte la fonction, puis on quittera le programme par la suite
                    case SDL_QUIT:
                        *quit = 0;
                        return 0;
                        break;
            }
        }
    return cond[5];
}

void resetscreen(SDL_Surface *screen, int cash, int misebase)  //Fonction qui permet la rinitialisation de l'cran, on le laisse alors  l'cran que le fond, le cash et la mise.
{
    SDL_Surface *font = NULL, *texte;
    SDL_Rect pos;
    char cashtab[20], misetab[20];
    SDL_Color couleurBlanche = {255, 255, 255};
    TTF_Init();
    TTF_Font *police = TTF_OpenFont("arial.ttf", 25);

    //On Affiche le fond
    pos.x = 0;
    pos.y = 0;
    font = SDL_LoadBMP("Ressources/font3.bmp");
    SDL_SetColorKey(font, SDL_SRCCOLORKEY, SDL_MapRGB(font->format, 0, 254, 0));
    SDL_BlitSurface(font, NULL, screen, &pos);
    SDL_Flip(screen);
    SDL_FreeSurface(font);

    //On affiche le cash
    sprintf(cashtab, "%d", cash);
    texte = TTF_RenderText_Solid(police, cashtab, couleurBlanche);
    pos.x = 920;
    pos.y = 170;
    SDL_BlitSurface(texte, NULL, screen, &pos);
    SDL_Flip(screen);
    SDL_FreeSurface(texte);

    //On affiche la mise
    sprintf(misetab, "%d", misebase);
    texte = TTF_RenderText_Solid(police, misetab, couleurBlanche);
    pos.x = 920;
    pos.y = 45;
    SDL_BlitSurface(texte, NULL, screen, &pos);
    SDL_Flip(screen);
    SDL_FreeSurface(texte);


    TTF_CloseFont(police);
    TTF_Quit();
}

void perdu(SDL_Surface *screen)
//Fonction qui affiche un message lors de la dfaite (cash == 0)
{
    int continuer = 1;
    SDL_Surface *texte = NULL;
    SDL_Event event;
    SDL_Rect pos;
    SDL_Color couleurBlanche = {255, 255, 255};
    TTF_Init();
    TTF_Font *police = TTF_OpenFont("arial.ttf", 24);

    //On affiche le message
    pos.x = 230;
    pos.y = 60;
    texte = TTF_RenderText_Solid(police, "Vous n'avez plus de cash, merci d'avoir jou !", couleurBlanche);
    SDL_BlitSurface(texte, NULL, screen, &pos);
    SDL_Flip(screen);
    SDL_FreeSurface(texte);

    //On attends que le joueur clique pour fermer le programme
    while (continuer)
    {
        SDL_WaitEvent(&event);
            switch(event.type)
            {
                case SDL_MOUSEBUTTONUP:
                continuer = 0;
                    break;
            }
    }

    TTF_CloseFont(police);
    TTF_Quit();
}

SDL_Surface* initSDL (SDL_Surface *screen, SDL_Surface *font)
{
    SDL_Rect pos; //Variable qui contient des coordonnes, utilises ensuite pour afficher  un endroit prcis de l'cran
    pos.x = 0;
    pos.y = 0;
    SDL_Init(SDL_INIT_VIDEO);// Initialisation de la SDL
    SDL_WM_SetCaption("Video Poker Game", NULL);// Titre de la fentre
    screen = SDL_SetVideoMode(1024, 600, 32, SDL_HWSURFACE | SDL_DOUBLEBUF);
    SDL_Flip(screen);


    /* Mode vido 1024x600 32bit/pixel pour la couleur, charg sur la mmoire vido,
    car programme ncessitant peu de mmoire, et la mmoire vido est plus rapide,
    chargement en mode double buffering, pour viter au maximum le scintillement*/
    font = SDL_LoadBMP("Ressources/font3.bmp"); //Charge l'image de font
    SDL_SetColorKey(font, SDL_SRCCOLORKEY, SDL_MapRGB(font->format, 0, 254, 0));//On choisi la couleur de transparence, ici le vert (0,254,0) ou encore #00FE00
    SDL_BlitSurface(font, NULL, screen, &pos);//On colle l'image charg sur "l'cran"
    SDL_Flip(screen);//On actualise "l'cran" afin que l'image colle devienne visible
    SDL_FreeSurface(font);//On libre l'espace utilis par la variable, maintenant que l'image est colle, plus besoin d'allouer de l'espace pour cette variable
    return screen;
}
